# eric4.Plugins.WizardPlugins.FontDialogWizard.FontDialogWizardDialog

Module implementing the font dialog wizard dialog.

### Global Attributes

None

### Classes

FontDialogWizardDialog | Class implementing the font dialog wizard dialog.

### Functions

None

## FontDialogWizardDialog

Class implementing the font dialog wizard dialog.

It displays a dialog for entering the parameters for the QFontDialog code generator.

### Derived from

QDialog, Ui_FontDialogWizardDialog

### Class Attributes

None

### Class Methods

None

### Methods

FontDialogWizardDialog | Constructor
getCode | Public method to get the source code.
on_bTest_clicked | Private method to test the selected options.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_eVariable_textChanged | Private slot to handle the textChanged signal of eVariable.
on_fontButton_clicked | Private slot to handle the button press to select a font via a font selection dialog.

### Static Methods

None

#### FontDialogWizardDialog (Constructor)

FontDialogWizardDialog(parent=None)

Constructor

parent
  parent widget (QWidget)

#### FontDialogWizardDialog.getCode

getCode(indLevel, indString)

Public method to get the source code.

indLevel
  indentation level (int)
indString
  string used for indentation (space or tab) (string)

Returns:
  generated code (string)

#### FontDialogWizardDialog.on_bTest_clicked

on_bTest_clicked()

Private method to test the selected options.

#### FontDialogWizardDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### FontDialogWizardDialog.on_eVariable_textChanged

on_eVariable_textChanged(text)

Private slot to handle the textChanged signal of eVariable.

text
  the new text (QString)

#### FontDialogWizardDialog.on_fontButton_clicked

on_fontButton_clicked()

Private slot to handle the button press to select a font via a font selection dialog.

Up